Bug 1651852 - Missing timeout for "Actions::Katello::Host::Package::Update" task [NEEDINFO]
Summary: Missing timeout for "Actions::Katello::Host::Package::Update" task
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 04:10 UTC by Hao Chang Yu
Modified: 2019-10-07 17:20 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:03 UTC
swadeley: needinfo? (hyu)
swadeley: needinfo?


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:13 UTC
Foreman Issue Tracker 25965 None None None 2019-02-01 14:45:49 UTC

Description Hao Chang Yu 2018-11-21 04:10:28 UTC
Description of problem:
If gofer of the patching client is not connecting to the Satellite, the Actions::Katello::Host::Package::Update task will wait forever.

The expect behaviour is to wait 20 seconds and timeout if gofer then respond just like "Actions::Katello::Host::Package::Install" task

Adding this seems should work.

--- /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.7.0.41/app/lib/actions/pulp/consumer/content_update.rb	2018-11-21 15:08:02.227949116 +1100
+++ /tmp/content_update.rb	2018-11-21 15:07:31.069169127 +1100
@@ -15,10 +15,12 @@
           options = { "importkeys" => true }
           options[:all] = true if input[:args].blank?
 
-          pulp_extensions.consumer.update_content(input[:consumer_uuid],
+          task = pulp_extensions.consumer.update_content(input[:consumer_uuid],
                                                   input[:type],
                                                   parse_units_for_type,
                                                   options)
+          schedule_timeout(Setting['content_action_accept_timeout'])
+          task
         end


Actual results:
Task "Waiting for Pulp" forever


Expected results:
Task failed with:
Host did not respond within 20 seconds. The task has been cancelled. Is katello-agent installed and goferd running on the Host?

Comment 2 Christine Fouant 2019-02-01 14:45:49 UTC
Created redmine issue https://projects.theforeman.org/issues/25965 from this bug

Comment 3 Bryan Kearney 2019-02-01 17:09:39 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 4 Bryan Kearney 2019-02-01 17:09:40 UTC
Upstream bug assigned to cfouant@redhat.com

Comment 5 Bryan Kearney 2019-02-05 15:08:24 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25965 has been resolved.

Comment 13 errata-xmlrpc 2019-05-14 12:39:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.